import request from '@/utils/request'

// 查询我的页面推广图列表
export function listUserBanner(query) {
  return request({
    url: '/xq/userBanner/list',
    method: 'get',
    params: query
  })
}

// 查询我的页面推广图详细
export function getUserBanner(id) {
  return request({
    url: '/xq/userBanner/' + id,
    method: 'get'
  })
}

// 新增我的页面推广图
export function addUserBanner(data) {
  return request({
    url: '/xq/userBanner',
    method: 'post',
    data: data
  })
}

// 修改我的页面推广图
export function updateUserBanner(data) {
  return request({
    url: '/xq/userBanner',
    method: 'put',
    data: data
  })
}

// 删除我的页面推广图
export function delUserBanner(id) {
  return request({
    url: '/xq/userBanner/' + id,
    method: 'delete'
  })
}
